## ros-jazzy-transmission-interface 4.18.0

=== debian/changelog ===
ros-jazzy-transmission-interface (4.18.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Oct 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.17.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.16.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 23 Aug 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.16.0-1bookworm) bookworm; urgency=high

  * Preparation of Handles for Variant Support (#1678 <https://github.com/ros-controls/ros2_control/issues/1678>)
  * Fix flaky transmission_interface tests by making them deterministic. (#1665 <https://github.com/ros-controls/ros2_control/issues/1665>)
  * Contributors: Manuel Muth, sgmurray

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.14.0-1bookworm) bookworm; urgency=high

  * Unused header cleanup (#1627 <https://github.com/ros-controls/ros2_control/issues/1627>)
  * Contributors: Henry Moore

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.13.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jul 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.12.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.11.0-1bookworm) bookworm; urgency=high

  * Add find_package for ament_cmake_gen_version_h (#1534 <https://github.com/ros-controls/ros2_control/issues/1534>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.10.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 May 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.9.0-1bookworm) bookworm; urgency=high

  * rosdoc2 for transmission_interface (#1496 <https://github.com/ros-controls/ros2_control/issues/1496>)
  * Component parser: Get mimic information from URDF (#1256 <https://github.com/ros-controls/ros2_control/issues/1256>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.8.0-1bookworm) bookworm; urgency=high

  * generate version.h file per package using the ament_generate_version_header  (#1449 <https://github.com/ros-controls/ros2_control/issues/1449>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.7.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.6.0-1bookworm) bookworm; urgency=high

  * Add -Werror=missing-braces to compile options (#1423 <https://github.com/ros-controls/ros2_control/issues/1423>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Mar 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.5.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.4.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 30 Jan 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.3.0-1bookworm) bookworm; urgency=high

  * Improve transmission tests (#1238 <https://github.com/ros-controls/ros2_control/issues/1238>)
  * Contributors: Maximilian Schik

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-jazzy-transmission-interface (4.2.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-jazzy-transmission-interface (4.1.0-1bookworm) bookworm; urgency=high

  * Add few warning compiler options to error (#1181 <https://github.com/ros-controls/ros2_control/issues/1181>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Nov 2023 16:00:00 -0000

ros-jazzy-transmission-interface (4.0.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Nov 2023 16:00:00 -0000

ros-jazzy-transmission-interface (3.21.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-transmission-interface (3.20.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Oct 2023 16:00:00 -0000

ros-jazzy-transmission-interface (3.19.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-transmission-interface (3.19.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-jazzy-transmission-interface (3.18.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-jazzy-transmission-interface (3.17.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 16:00:00 -0000

ros-jazzy-transmission-interface (3.16.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 16:00:00 -0000

ros-jazzy-transmission-interface (3.15.0-1bookworm) bookworm; urgency=high




