=== debian/control ===
Source: ros-jazzy-transmission-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gen-version-h, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-hardware-interface, ros-jazzy-pluginlib, ros-jazzy-ros2-control-test-assets <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-transmission-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-hardware-interface, ros-jazzy-pluginlib, ros-jazzy-ros-workspace
Description: transmission_interface contains data structures for representing mechanical transmissions, methods for propagating values between actuator and joint spaces and tooling to support this.
